Bug 1284873 - Poor performance of directory enumerations over SMB [NEEDINFO]
Summary: Poor performance of directory enumerations over SMB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Poornima G
QA Contact: Ben Turner
URL:
Whiteboard:
Depends On: 1294222
Blocks: 1333484 1351522 1351530 1387563
TreeView+ depends on / blocked
 
Reported: 2015-11-24 11:25 UTC by Michael Adam
Modified: 2017-03-23 05:24 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: Bug Fix
Doc Text:
Enumerating large directories on a Samba client issued a large number of file operations to the gluster volume, slowing directory enumeration performance. Gluster caching has been improved to increase performance in this situation.
Clone Of:
Environment:
Last Closed: 2017-03-23 05:24:49 UTC
lbailey: needinfo? (pgurusid)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Michael Adam 2015-11-24 11:25:56 UTC
Description of problem:

Enumerations of large directories are slow with Samba/SMB on top of Gluster compared to NFS and native client. On the other hand, on local file systems, SMB is fast.

More details to follow.

Comment 5 rjoseph 2016-10-22 13:43:27 UTC
List of patches:

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87024
Upstream master: http://review.gluster.org/12995

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87025
Upstream master: http://review.gluster.org/12996

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87026
Upstream master: http://review.gluster.org/14824

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87027
Upstream master: http://review.gluster.org/14828

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87028
Upstream master: http://review.gluster.org/14879

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87029
Upstream master: http://review.gluster.org/12951

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87030
Upstream master: http://review.gluster.org/14971

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87031
Upstream master: http://review.gluster.org/15043

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87032
Upstream master: http://review.gluster.org/15069

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87033
Upstream master: http://review.gluster.org/15185

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87034
Upstream master: http://review.gluster.org/15314

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87035
Upstream master: http://review.gluster.org/15045

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87036
Upstream master: http://review.gluster.org/15331

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87037
Upstream master: http://review.gluster.org/15225

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87038
Upstream master: http://review.gluster.org/15224

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87039
Upstream master: http://review.gluster.org/15301

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87040
Upstream master: http://review.gluster.org/15002

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87041
Upstream master: http://review.gluster.org/15300

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87042
Upstream master: http://review.gluster.org/15324

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87043
Upstream master: http://review.gluster.org/15313

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87044
Upstream master: http://review.gluster.org/15193

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87045
Upstream master: http://review.gluster.org/15387

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87046
Upstream master: http://review.gluster.org/15378

RHGS 3.2: https://code.engineering.redhat.com/gerrit/87047
Upstream master: http://review.gluster.org/15398

Comment 7 Ben Turner 2017-02-07 00:50:30 UTC
Marking this verified.  Ls -l tests for me showed:

Before MD Cache - 10m41.861
After MD Cache - 1m45.756s

Comment 10 errata-xmlrpc 2017-03-23 05:24:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.